/**
 * MEEEK TEMPLATE CUSTOM SCRIPTS - TABLE OF CONTENTS
 * 
 * Bio Links Page Sharer panel
 */

(function ($) {
    'use strict';
    

    jQuery(window).on("load", function(){
        jQuery( '.meeeksaas-splash-screen-loader' ).fadeOut( 1000, function() {
            jQuery( this ).fadeOut();
        });
    });


    jQuery(document).ready(function() {
        var myAccordion = new gianniAccordion({
            elements: ".meeek-accordion-card .meeek-accordion-card-inner",
            trigger: "[data-accordion-element-trigger]",
            content: "[data-accordion-element-content]",
        });

        myAccordion.on("elementSelected", (data)=>{
            console.log("elementOpened", data);
        });
    });


    jQuery(document).ready(function () {

        jQuery( "a[data-bs-target='#meeeksaas_nsfw_modal']" ).on( "click", function() {
            var href = jQuery( this ).attr('href');
            var modal_yes_href = jQuery('.meeeksaas-nsfw-yes');
            modal_yes_href.attr('href', href);
        });


        /**
         * Bio Links Page Sharer panel
         */ 
        function meeeksaas_sharer_panel_init(){
            var selector = jQuery('.meeeksaas-panel_button');
            if ( selector.length){
                jQuery(".meeeksaas-panel_button .meeeksaas-toggle_sidebar").click(function(){
                    jQuery("div#meeeksaas-panel").animate({
                        right: "0px"
                    }, "fast");
                    jQuery(".meeeksaas-panel_button").animate({
                        right: "300px"
                    }, "fast");
                    jQuery(".meeeksaas-panel_button").toggle();
                    jQuery("body").css("overflow", "hidden");
                });
                jQuery(".meeeksaas_hide_button").click(function(){
                    jQuery("#meeeksaas-panel").animate({
                        right: "-300px"
                    }, "fast");
                    jQuery(".meeeksaas-panel_button").animate({
                        right: "0px"
                    }, "fast");
                    jQuery(".meeeksaas-panel_button").toggle();
                    jQuery("body").css("overflow", "visible");
                });
            }
        }
        meeeksaas_sharer_panel_init();

        /**
         * Builder Tooltips
         */ 
        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl)
        })
        function meeeksaas_tooltips(){
            var tooltip_selector = jQuery('[data-bs-toggle="tooltip"]');
            if (tooltip_selector.length) {
                jQuery('[data-toggle="tooltip"]').tooltip();
            }
        }
        meeeksaas_tooltips();


    });


jQuery(document).ready(function($) {
    $('#meeek_search_field').on('keyup', function() {
        var value = $(this).val().toLowerCase(); // Convert input to lowercase
        var patt = new RegExp(value, "i"); // Case-insensitive regex

        $('#link-listed').find('.meeek-link-item').each(function() {
            var $item = $(this);
            if ($item.find('h5').text().toLowerCase().indexOf(value) === -1) {
                $item.hide(); // Hide if no match
            } else {
                $item.show(); // Show if matches
            }
        });
    });
});
} (jQuery) );