<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>

<div data-repeater-item class="accordion-item meeek-bio-links-inner-dropdown meeek-accordion-card" data-element-type="email">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php esc_html_e('Email Me Button', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="email" />
                    <?php 
                        echo meeeksaas_input('text', 'title', '', esc_html__('Button Text', 'meeeksaas'), 'meeeksaas_title', true);
                        echo meeeksaas_input('text', 'email_to', '', esc_html__('Email To', 'meeeksaas'), 'email_to', true);
                        echo meeeksaas_input('text', 'email_subject', '', esc_html__('Email Subject', 'meeeksaas'), 'email_subject', true);
                        echo meeeksaas_textarea('email_body', '', esc_html__('Email Content', 'meeeksaas'), 'email_body', true);
                        
                        /**
                         * meeeksaas_builder_after_all_elements hook
                         *
                         * @hooked meeeksaas_schedule_fieldset_elements
                         */
                        do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'email'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>