<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>
<div data-repeater-item class="accordion-item meeek-bio-links-inner-image meeek-accordion-card" data-element-type="image">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php esc_html_e('Image', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="image" />
                    <?php 
                    echo meeeksaas_input('text', 'title', '', esc_html__('Title (Optional)', 'meeeksaas'), 'meeeksaas_title', true);
                    echo meeeksaas_input('url', 'link', '', esc_html__('Link (Optional)', 'meeeksaas'), 'meeeksaas_link', true);
                    echo meeeksaas_media_uploader('attachment_id', '', '', esc_html__('Image', 'meeeksaas'), 'allow_image');
                    echo meeeksaas_radius_group('attachment_radius', 'rounded', esc_html__('Image Radius', 'meeeksaas'));
                    echo meeeksaas_colorpicker('title_color', '', esc_html__('Title Color', 'meeeksaas'), 'title_color');
                    echo meeeksaas_alignment_group('title_alignment', '', esc_html__('Title Alignment', 'meeeksaas'));
                    
                    /**
                     * meeeksaas_builder_after_all_elements hook
                     *
                     * @hooked meeeksaas_schedule_fieldset_elements
                     */
                    do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'image'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>