<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>

<div data-repeater-item class="accordion-item meeek-bio-links-inner-dropdown meeek-accordion-card" data-element-type="phone">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php esc_html_e('Phone Button', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="phone" />
                    <?php 
                        echo meeeksaas_input('text', 'title', '', esc_html__('Number', 'meeeksaas'), 'meeeksaas_title', true);
                        echo meeeksaas_checkbox('is_whatsapp', 'is_whatsapp', esc_html__('Is this a WhatsApp Number?', 'meeeksaas'), 'off');
                        
                        /**
                         * meeeksaas_builder_after_all_elements hook
                         *
                         * @hooked meeeksaas_schedule_fieldset_elements
                         */
                        do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'phone'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>