<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>
<div class="modal fade" id="meeeksaas_btn_styles_modal" tabindex="-1" aria-labelledby="meeeksaas_btn_styles_modalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
    <div class="modal-content">
      <div class="modal-header p-4">
        <h5 class="modal-title"><?php echo esc_html__('Button Styles', 'meeeksaas'); ?></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="<?php echo esc_attr__('Close', 'meeeksaas'); ?>"></button>
      </div>

      <div class="modal-body p-4">
        <div class="row">
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 1', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v1'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_1" class="d-none meeeksaas-hidden-radio" value="v1">
              <label for="btn_style_1">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v1.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 2', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v2'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_2" class="d-none meeeksaas-hidden-radio" value="v2">
              <label for="btn_style_2">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v2.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 3', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v3'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_3" class="d-none meeeksaas-hidden-radio" value="v3">
              <label for="btn_style_3">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v3.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 4', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v4'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_4" class="d-none meeeksaas-hidden-radio" value="v4">
              <label for="btn_style_4">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v4.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 5', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v5'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_5" class="d-none meeeksaas-hidden-radio" value="v5">
              <label for="btn_style_5">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v5.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 6', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v6'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_6" class="d-none meeeksaas-hidden-radio" value="v6">
              <label for="btn_style_6">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v6.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 7', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v7'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_7" class="d-none meeeksaas-hidden-radio" value="v7">
              <label for="btn_style_7">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v7.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <div class="list-inline col-md-6 mb-2">
            <div class="relative">
              <span class="badge bg-primary"><?php esc_html_e('Style 8', 'meeeksaas'); ?></span>
              <input <?php if ($version == 'v8'){echo 'checked'; } ?> type="radio" name="version" id="btn_style_8" class="d-none meeeksaas-hidden-radio" value="v8">
              <label for="btn_style_8">
                <img src="<?php echo MEEEKSAAS_PLUGIN_URL; ?>assets/images/button-styles/btn-v8.gif" alt="<?php esc_attr_e('Button Style', 'meeeksaas'); ?>" />
                <div class="tick_container">
                  <div class="tick"><i class="fa fa-check"></i></div>
                </div>
              </label>
            </div>
          </div>
          <?php do_action('meeeksaas_after_default_buttons', $version); ?>
        </div>
      </div>

      <div class="modal-footer text-left">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?php esc_html_e('Close', 'meeeksaas'); ?></button>
      </div>
    </div>
  </div>
</div>