<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>
<div class="modal fade" id="meeeksaas_share_modal" tabindex="-1" aria-labelledby="meeeksaas_share_modalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
    <div class="modal-content">
      <div class="modal-header p-4">
        <h5 class="modal-title"><?php echo esc_html__('Share your bio link', 'meeeksaas'); ?></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="<?php echo esc_attr__('Close', 'meeeksaas'); ?>"></button>
      </div>

      <div class="modal-body p-4">
        <label for="basic-url" class="form-label"><?php echo esc_html__('Your Bio Page URL', 'meeeksaas'); ?></label>
        <div class="input-group mb-3">
          <input  type="text" class="form-control meeek-links-page-url" disabled placeholder="<?php echo esc_attr__('Links Page', 'meeeksaas'); ?>" aria-label="<?php echo esc_attr__('Links Page', 'meeeksaas'); ?>" aria-describedby="meeek-copy-links-page" value="<?php echo get_permalink($current_post_id); ?>">
          <button data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="<?php echo esc_attr__('Copy', 'meeeksaas'); ?>" class="btn btn-outline-secondary" type="button" id="meeek-copy-links-page"><i class="far fa-copy"></i></button>
          <a data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="<?php echo esc_attr__('Preview', 'meeeksaas'); ?>" class="btn btn-outline-primary" href="<?php echo get_permalink($current_post_id); ?>" target="_blank"><i class="far fa-eye"></i></a>
        </div>
        <div class="mb-3 meeek-qr relative">
          <label><?php echo esc_html__('QR Code', 'meeeksaas'); ?></label>
          <div class="clearfix"></div>
          <?php do_action('meeeksaas_builder_qr', $current_post_id, '500x500'); ?>
          <?php do_action('meeeksaas_builder_allow_qr'); ?>
        </div>
      </div>
    </div>
  </div>
</div>