<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>

<div data-repeater-item class="accordion-item meeek-bio-links-inner-dropdown meeek-accordion-card" data-element-type="newsletter">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php esc_html_e('Email Subscribe form', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="newsletter" />
                    <?php 
                        echo meeeksaas_input('text', 'title', '', esc_html__('Button Text', 'meeeksaas'), 'meeeksaas_title', true);
                        echo meeeksaas_input('text', 'subtitle', '', esc_html__('Subtitle', 'meeeksaas'), 'meeeksaas_subtitle', true);
                        echo meeeksaas_input('text', 'email_to', '', esc_html__('Email Address', 'meeeksaas'), 'email_to', true);
                        echo meeeksaas_checkbox('toggle_status', 'toggle_status', esc_html__('Inline Form (No Link)', 'meeeksaas'), 'off');
                        echo meeeksaas_checkbox('style_version', 'style_version', esc_html__('Dark Style (If unchecked, the default style will be White background and black text).', 'meeeksaas'), 'off');
                        echo meeeksaas_checkbox('header_form', 'header_form', esc_html__('Header Subscribe Button', 'meeeksaas'), 'on');
                        echo meeeksaas_checkbox('footer_form', 'footer_form', esc_html__('Sticky Bottom Subscribe Bar', 'meeeksaas'), 'on');
                        
                        /**
                         * meeeksaas_builder_after_all_elements hook
                         *
                         * @hooked meeeksaas_schedule_fieldset_elements
                         */
                        do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'newsletter'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>