<?php 
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

/**
* Purchase Helper
*
*/
function meeeksaas_envato_purchase_helper(){
    if (MEEEKSAAS_DEV_MODE == true) { ?>
        <div class="meeeksaas-purchase-helper-holder">
            <a target="_blank" class="meeeksaas-purchase-helper" href="https://codecanyon.net/cart/configure_before_adding/46935773?license=extended" alt="purchase">Purchase SaaS on:<br /><img src="https://public-assets.envato-static.com/assets/logos/envato_market-dde916a48af7413e54aa058fe7ae6856752fca799da4bec355f00aea904bfa19.svg" alt="envato" width="150"></a>
            <a target="_blank" class="meeeksaas-purchase-helper meeeksaas-prechat" href="https://modeltheme.com/contact/?refrom=<?php the_permalink(); ?>" alt="purchase">Presale<br/>Chat</a>
            <style>
                a.meeeksaas-purchase-helper:hover {
                    box-shadow: 10px 10px 15px #08091666;
                }
                .meeeksaas-purchase-helper-holder{
                    bottom: 30px;
                    position: fixed;
                    left: 30px;
                }
                a.meeeksaas-purchase-helper {
                    display: inline-block;
                    background: #363636;
                    color: #fff;
                    font-weight: 400;
                    padding: 11px 22px 15px 22px;
                    border-radius: 10px;
                    font-size: 15px;
                    z-index: 2;
                    transition: all 250ms ease-in-out;
                    box-shadow: 4px 4px 10px #6b71ae66;
                }
                a.meeeksaas-purchase-helper.meeeksaas-prechat {
                    text-align: center;
                    background: #1F78FF;
                }
                @media screen and ( max-width: 782px ) {
                    .meeeksaas-purchase-helper-holder {
                        bottom: 0;
                        position: fixed;
                        left: 0;
                        background: #425b76;
                        width: 100%;
                        padding: 10px;
                        z-index: 2;
                        text-align: center;
                    }
                    a.meeeksaas-purchase-helper{
                        font-size: 14px;
                    }
                    a.meeeksaas-purchase-helper img {
                        width: 120px;
                    }
                }
            </style>
        </div>
    <?php 
    }
}
add_action('meeeksaas_page_header', 'meeeksaas_envato_purchase_helper');

function meeeksaas_hs_helper(){
    if (MEEEKSAAS_DEV_MODE == true) { ?>
        <script id="hs-script-loader" async defer src="//js.hs-scripts.com/7760666.js"></script><?php 
    }
}
// add_action('meeeksaas_page_footer', 'meeeksaas_hs_helper');

