<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>
<div data-repeater-item class="accordion-item meeek-bio-links-inner-dropdown meeek-accordion-card" data-element-type="button">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php echo esc_html__('Bio Button', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="btn_button" />
                    <?php 
                        echo meeeksaas_input('text', 'title', '', esc_html__('Title', 'meeeksaas'), 'meeeksaas_title', true);
                        echo meeeksaas_input('url', 'link', '', esc_html__('Link', 'meeeksaas'), 'meeeksaas_link', true);
                        // echo meeeksaas_colorpicker('btn_color', '', esc_html__('Button Background', 'meeeksaas'), 'meeeksaas_btn_color');
                        echo meeeksaas_media_uploader('btn_photo_id', '', '', esc_html__('Button Thumbnail', 'meeeksaas'), 'allow_bg');
                        echo meeeksaas_iconpicker('btn_icon', '', esc_html__('Icon', 'meeeksaas'), esc_html__('Pick an icon', 'meeeksaas'), 'meeeksaas_btn_icon');
                    
                        /**
                         * meeeksaas_builder_after_all_elements hook
                         *
                         * @hooked meeeksaas_schedule_fieldset_elements
                         */
                        do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'btn_button'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>