<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>
<div data-repeater-item class="accordion-item meeek-bio-links-inner-dropdown meeek-accordion-card" data-element-type="button">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php echo esc_html__('vCard QR', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="vcard" />
                    <div class="row">
                        <?php 
                            echo meeeksaas_input('text', 'title', '', esc_html__('Button Title', 'meeeksaas'), 'meeeksaas_title', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_first_name', '', esc_html__('First Name', 'meeeksaas'), 'vcard_first_name', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_last_name', '', esc_html__('Last Name', 'meeeksaas'), 'vcard_last_name', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_mobile', '', esc_html__('Mobile', 'meeeksaas'), 'vcard_mobile', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_phone', '', esc_html__('Phone', 'meeeksaas'), 'vcard_phone', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_fax', '', esc_html__('Fax', 'meeeksaas'), 'vcard_fax', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_email', '', esc_html__('Email', 'meeeksaas'), 'vcard_email', false, 'col-md-12');
                            echo meeeksaas_input('text', 'vcard_company', '', esc_html__('Company', 'meeeksaas'), 'vcard_company', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_job', '', esc_html__('Your Job', 'meeeksaas'), 'vcard_job', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_street', '', esc_html__('Street', 'meeeksaas'), 'vcard_street', false, 'col-md-12');
                            echo meeeksaas_input('text', 'vcard_city', '', esc_html__('City', 'meeeksaas'), 'vcard_city', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_zip', '', esc_html__('Zipcode', 'meeeksaas'), 'vcard_zip', false, 'col-md-6');
                            echo meeeksaas_input('text', 'vcard_state', '', esc_html__('State', 'meeeksaas'), 'vcard_state', false, 'col-md-12');
                            echo meeeksaas_input('text', 'vcard_country', '', esc_html__('Country', 'meeeksaas'), 'vcard_country', false, 'col-md-12');
                            echo meeeksaas_input('url', 'link', $button['link'], esc_html__('Website:', 'meeeksaas'), 'meeeksaas_link', false, 'col-md-12');
                        ?>
                    </div>
                    
                    <?php
                    /**
                     * meeeksaas_builder_after_all_elements hook
                     *
                     * @hooked meeeksaas_schedule_fieldset_elements
                     */
                    do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'vcard'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>