<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>

<div data-repeater-item class="accordion-item meeek-bio-links-inner-dropdown meeek-accordion-card" data-element-type="gallery">
    <div class="meeek-accordion-card-inner">
        <div class="meeek-accordion-title" data-accordion-element-trigger>
            <i class="fas fa-grip-vertical meeek-reorder-btn"></i> 
            <?php esc_html_e('Photo Gallery', 'meeeksaas'); ?>
            <i data-repeater-delete class="bi bi-trash"></i>
        </div>

        <div data-accordion-element-content class="meeek-accordion-content">
            <div class="accordion-body">
                <div class="card-body">
                    <input type="hidden" name="btn_type" value="gallery" />
                    <?php 
                        echo meeeksaas_input('text', 'title', '', esc_html__('Button Text', 'meeeksaas'), 'meeeksaas_title', true);
                        echo meeeksaas_media_gallery_uploader('media_ids', '', '', esc_html__('Gallery Photos', 'meeeksaas'), 'allow_bg');
                        echo meeeksaas_radius_group('gallery_radius', '', esc_html__('Photo Radius', 'meeeksaas'));
                        echo meeeksaas_colorpicker('title_color', '', esc_html__('Title Color', 'meeeksaas'), 'title_color');
                        echo meeeksaas_alignment_group('title_alignment', '', esc_html__('Title Alignment', 'meeeksaas'));
                        /**
                         * meeeksaas_builder_after_all_elements hook
                         *
                         * @hooked meeeksaas_schedule_fieldset_elements
                         */
                        do_action('meeeksaas_builder_after_element_fields', array('btn_type' => 'gallery'));
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>
