<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}


// WIDGETS
if( !function_exists('meeeksaas_custom_widgets') ) {
    function meeeksaas_custom_widgets( $widgets_manager ) {

        require_once(MEEEKSAAS_PLUGIN_MODULES . '/creators-directory/creators-directory-widget.php');
        $widgets_manager->register( new \MeeekSaaS_Links_Directory_Widget() );

        wp_register_style(
            'meeeksaas-links-directory-style',
            plugin_dir_url(__FILE__) . 'creators-directory/css/links-directory.css',
            []
        );
        
        wp_enqueue_style('meeeksaas-links-directory-style');

    }
    add_action( 'elementor/widgets/register', 'meeeksaas_custom_widgets' );
}

// MODULES
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/facebook/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/facebook/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/twitter/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/twitter/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/spotify/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/spotify/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/tiktok/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/tiktok/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/youtube/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/youtube/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/newsletter/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/newsletter/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/booking/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/booking/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/waitlist/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/waitlist/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/ticket/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/ticket/include.php');
}
if (file_exists(MEEEKSAAS_PLUGIN_MODULES.'/gallery/include.php')) {
    require_once(MEEEKSAAS_PLUGIN_MODULES.'/gallery/include.php');
}