<?php 
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> style="margin-top: 0 !important;">
    <head>
        <?php do_action('meeeksaas_before_head_metas', get_the_ID()); ?>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <?php wp_head(); ?>
    </head>
    <body>
        <?php 
            add_filter( 'show_admin_bar', '__return_false' );
            do_action('meeeksaas_before_page_content', get_the_ID());
        ?>

        <div class="meeek-bio-links-page meeek-bio-links-page-<?php the_ID(); ?>">
            
            <?php do_action('meeeksaas_before_page_header'); ?>
            
            <!-- Header -->
            <div class="meeek-bio-header">
                <?php do_action('meeeksaas_page_header', get_the_ID()); ?>
            </div>

            <!-- Content -->
            <div class="meeek-bio-links-page-inner">
                <?php do_action('meeeksaas_before_bio_links_group'); ?>
                
                <?php if(meeeksaas_user_has_active_plans() || meeeksaas_free_accounts_enabled()){ ?>
                    <?php do_action('meeeksaas_page_content', get_the_ID()); ?>
                <?php }else{ ?>
                    <?php echo meeeksaas_expired_plans_notice(); ?>
                <?php } ?>
                
                <?php do_action('meeeksaas_after_bio_links_group'); ?>
            </div>

            <!-- Footer -->
            <?php do_action('meeeksaas_page_footer', get_the_ID()); ?>
        </div>

        <?php wp_footer(); ?>
    </body>
</html>